// plane_t structure
// !!! if this is changed, it must be changed in asm_i386.h too !!!
#ifndef USEFPM
typedef struct mplane_s
{
	vec3_t	normal;
	float	dist;
	byte	type;			// for texture axis selection and fast side tests
	byte	signbits;		// signx + signy<<1 + signz<<1
	byte	pad[2];
} mplane_t;
#else
//Dan East: Fixed Point Math addition
typedef struct mplane_FPM_s
{
	vec3_FPM_t	normal;
	fixedpoint_t	dist;
	byte	type;			// for texture axis selection and fast side tests
	byte	signbits;		// signx + signy<<1 + signz<<1
	byte	pad[2];
} mplane_FPM_t;
#endif

